Package wx :: Module html :: Class HtmlSelection

[frames | no frames]

## Type HtmlSelection

    object --+
             |
            HtmlSelection

Proxy of C++ HtmlSelection class

Method Summary
HtmlSelection | `__init__(self)`
| `__del__(self)`
| `ClearPrivPos(self)`
HtmlCell | `GetFromCell(self)`
Point | `GetFromPos(self)`
Point | `GetFromPrivPos(self)`
HtmlCell | `GetToCell(self)`
Point | `GetToPos(self)`
Point | `GetToPrivPos(self)`
bool | `IsEmpty(self)`
| `Set(self, fromPos, fromCell, toPos, toCell)`
| `SetCells(self, fromCell, toCell)`
| `SetFromPrivPos(self, pos)`
| `SetToPrivPos(self, pos)`

Property Summary
| `FromCell`: See `GetFromCell`
| `FromPos`: See `GetFromPos`
| `FromPrivPos`: See `GetFromPrivPos` and `SetFromPrivPos`
| `thisown`: The membership flag
| `ToCell`: See `GetToCell`
| `ToPos`: See `GetToPos`
| `ToPrivPos`: See `GetToPrivPos` and `SetToPrivPos`

Property Details

### FromCell

See `GetFromCell`

  Get Method:
    `GetFromCell`(self)

### FromPos

See `GetFromPos`

  Get Method:
    `GetFromPos`(self)

### FromPrivPos

See `GetFromPrivPos` and `SetFromPrivPos`

  Get Method:
    `GetFromPrivPos`(self)
  Set Method:
    `SetFromPrivPos`(self, pos)

### thisown

The membership flag

  Get Method:
    unknown--1219007772(...)
  Set Method:
    unknown--1219007716(...)

### ToCell

See `GetToCell`

  Get Method:
    `GetToCell`(self)

### ToPos

See `GetToPos`

  Get Method:
    `GetToPos`(self)

### ToPrivPos

See `GetToPrivPos` and `SetToPrivPos`

  Get Method:
    `GetToPrivPos`(self)
  Set Method:
    `SetToPrivPos`(self, pos)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:10 2007 | http://epydoc.sf.net